API
Wikidata API
The AI-powered Wikidata Entities Monitor provides 360° Global Media Data & Intelligence on Wikidata is a collaboratively maintained knowledge base with more than 121 million items covering people, organizations, places, works, and concepts. It is important for entity resolution, knowledge graphs, search enrichment, and structured research.
API 参考 版本: 1.0.0 10 终端 身份验证
基本网址
https://pressmonitor.com/api 身份验证
所有请求都需要 x-api-key 和 x-subscription-id 标头。x-api-key 验证您的账户;x-subscription-id 选择订阅的服务。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/suggest_entities Suggest Entities
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | Query Text |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/suggest_entities?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/search/by_label Search Entities By Label
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | Query Text |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/search/by_label?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/search/by_description Search Entities By Description
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| query_text | string | query | 是 | Query Text |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/search/by_description?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/search/by_type Search Entities By Type
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| type | string | query | 是 | Type |
| query_text | string | query | 不 | Query Text |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/search/by_type?type=VALUE&query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/search/by_claim Search Entities By Claim Value
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| property | string | query | 是 | Property |
| value | string | query | 不 | Value |
| mode | string | query | 不 | Mode |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/search/by_claim?property=VALUE&value=VALUE&mode=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/find/by_property Search Entities By Property
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| property | string | query | 是 | Property |
| value | string | query | 不 | Value |
| qualifier | string | query | 不 | Qualifier |
| rank | string | query | 不 | Rank |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/find/by_property?property=VALUE&value=VALUE&qualifier=VALUE&rank=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/search/temporal Search Entities By Date Range
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| property | string | query | 是 | Property |
| from | string | query | 不 | From |
| to | string | query | 不 | To |
| value | string | query | 不 | Value |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/search/temporal?property=VALUE&from=VALUE&to=VALUE&value=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/entities/$0 Get Entity By Id
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| wikidata_id | string | query | 是 | Wikidata Id |
| lang | string | query | 不 | Lang |
代码示例
curl -X GET \
"https://pressmonitor.com/api/entities/$0?wikidata_id=VALUE&lang=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/entities/$0/claims Get Entity Claims
参数
| 名称 | 类型 | 位置 | 必填 | 描述 |
|---|---|---|---|---|
| wikidata_id | string | query | 是 | Wikidata Id |
| lang | string | query | 不 | Lang |
| limit | string | query | 不 | Limit |
| offset | string | query | 不 | Offset |
代码示例
curl -X GET \
"https://pressmonitor.com/api/entities/$0/claims?wikidata_id=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
GET
/properties Get Properties
代码示例
curl -X GET \
"https://pressmonitor.com/api/properties" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" 响应
200 Success
